VREFunctionalitiesView (VRE Definition Portlet 4.3.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.admin.vredefinition.client.view

## Class VREFunctionalitiesView

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.extjs.gxt.ui.client.widget.Component
      - - com.extjs.gxt.ui.client.widget.BoxComponent
        - - com.extjs.gxt.ui.client.widget.Composite
          - - org.gcube.portlets.admin.vredefinition.client.view.VREFunctionalitiesView

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.event.Observable, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, VREFunctionalitiesPresenter.Display

      public class VREFunctionalitiesView
      extends com.extjs.gxt.ui.client.widget.Composite
      implements VREFunctionalitiesPresenter.Display

  Author:
    Massimiliano Assante ISTI-CNR

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.Composite

      `component`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.BoxComponent

      `adjustSize, cacheSizes, ensureVisibilityOnSizing, height, lastSize, layer, shim, width`

    - ### Fields inherited from class com.extjs.gxt.ui.client.widget.Component

      `afterRender, attachables, baseStyle, disabled, disabledStyle, disableTextSelection, dummy, focusable, hidden, mask, maskMessage, maskMessageStyleName, monitorWindowResize, rendered, resizeHandler, setElementRender, stateId, swallowEvents, toolTip, windowResizeDelay, windowResizeTask`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREFunctionalitiesView()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.extjs.gxt.ui.client.widget.treepanel.TreePanel<com.extjs.gxt.ui.client.data.ModelData>` | `getTreeFunctionalities()`
    `void` | `setData(List<com.extjs.gxt.ui.client.data.ModelData> categories)`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.Composite

      `getComponent, getElement, initComponent, isAttached, onAttach, onBrowserEvent, onDetach, onDisable, onEnable, onRender, setSize, setSize`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.BoxComponent

      `adjustPosition, adjustSize, afterRender, createComponentEvent, getBounds, getHeight, getHeight, getPosition, getPositionEl, getResizeEl, getShadow, getShadowOffset, getShadowPosition, getSize, getWidth, getWidth, hideShadow, hideShim, hideUnders, isAutoHeight, isAutoWidth, isDeferHeight, isShim, onHide, onPosition, onResize, onShow, onUnload, setAutoHeight, setAutoWidth, setBounds, setBounds, setDeferHeight, setHeight, setHeight, setPagePosition, setPagePosition, setPixelSize, setPosition, setShadow, setShadowOffset, setShadowPosition, setShim, setWidth, setWidth, sync, syncSize`

    - ### Methods inherited from class com.extjs.gxt.ui.client.widget.Component

      `addAttachable, addListener, addPlugin, addStyleName, addStyleOnOver, addWidgetListener, applyState, assertAfterRender, assertPreRender, beforeRender, blur, clearState, createObservable, createStyles, disable, disableContextMenu, disableEvents, disableTextSelection, doAttachChildren, doDetachChildren, el, enable, enableEvents, fireEvent, fireEvent, fireEvent, fly, focus, frame, getAriaSupport, getBaseStyle, getBorders, getContextMenu, getData, getFocusEl, getFocusSupport, getHideMode, getId, getItemId, getListeners, getModel, getObservable, getPlugins, getState, getStateId, getTabIndex, getTitle, getToolTip, getWindowResizeDelay, hasListeners, hasListeners, hide, hideToolTip, initState, isDisabledEvents, isDisableTextSelection, isEnabled, isMasked, isMonitorWindowResize, isRendered, isStateful, isVisible, isVisible, mask, mask, mask, notifyHide, notifyShow, onComponentEvent, onDetachHelper, onEnsureDebugId, onHideContextMenu, onLoad, onRightClick, onShowContextMenu, onWindowResize, previewEvent, recalculate, removeAllListeners, removeAttachagle, removeFromParent, removeListener, removeStyleName, removeStyleOnOver, removeSwallow, removeToolTip, removeWidgetListener, render, render, repaint, saveState, setAriaRole, setAriaState, setAriaSupport, setBorders, setContextMenu, setData, setEl, setElement, setElement, setEnabled, setFiresEvents, setHideMode, setId, setIntStyleAttribute, setItemId, setModel, setMonitorWindowResize, setParent, setStateful, setStateId, setStyleAttribute, setStyleName, setTabIndex, setTitle, setToolTip, setToolTip, setVisible, setWindowResizeDelay, setZIndex, show, sinkEvents, swallowEvent, swallowEvent, toString, unframe, unmask`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, setLayoutData`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, resolvePotentialElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.gcube.portlets.admin.vredefinition.client.presenter.VREFunctionalitiesPresenter.Display

      `asWidget`

- - ### Constructor Detail

    - #### VREFunctionalitiesView

          public VREFunctionalitiesView()

  - ### Method Detail

    - #### setData

          public void setData(List<com.extjs.gxt.ui.client.data.ModelData> categories)

      Specified by:
        `setData` in interface `VREFunctionalitiesPresenter.Display`

    - #### getTreeFunctionalities

          public com.extjs.gxt.ui.client.widget.treepanel.TreePanel<com.extjs.gxt.ui.client.data.ModelData> getTreeFunctionalities()

      Specified by:
        `getTreeFunctionalities` in interface `VREFunctionalitiesPresenter.Display`

Copyright © 2015. All Rights Reserved.